﻿namespace DataSharing
{
    public class SharingConfiguration
    {
        public string CityCode { get; set; }
        public string CityName { get; set; }

        public CityYiBin YiBin { get; set; }

        public CityZiGong ZiGong { get; set; }
    }

    public class CityYiBin
    {
        /// <summary>
        /// 企业服务
        /// </summary>
        public ConfigurationEnterprise Enterprise { get; set; }

        /// <summary>
        /// 市州数据交换
        /// </summary>
        public ConfigurationCityHandOver CityHandOver { get; set; }

        /// <summary>
        /// 道枢110
        /// </summary>
        public ConfigurationPoliceDS PoliceDS { get; set; }

        /// <summary>
        /// 新老数据交换
        /// </summary>
        public ConfigurationSendDataOld SendDataOld { get; set; }

    }

    public class CityZiGong
    {
        /// <summary>
        /// 新老数据交换
        /// </summary>
        public ConfigurationSendDataOld SendDataOld { get; set; }
    }
}
